Accessibility
Adobe
Sign in Privacy My Adobe

J2EE 1.3 Compatibility

Java Compatible Enterprise Edition

Adobe JRun 4 features full Java 2 Enterprise Edition (J2EE) 1.3 compatibility. Leverage the latest Java API specifications to build and run your applications-including JSP 1.2, Servlet 2.3, EJB 2.0 and more. Additionally, new highlights of this release include leading edge support for the latest web services-SOAP 1.1 , UDDI 1.0, automatic WSDL generation and JAX-RPC.


Support

Adobe JRun supports the latest J2EE 1.3 APIs:

  • JSP 1.2
  • JDBC 2.0
  • JNDI 1.2
  • JAAS 1.0
  • JAXP 1.1
  • Servlet 2.3
  • JTA 1.0.1
  • Java RMI 1.0
  • JavaMail 1.1
  • EJB 2.0
  • JMS 1.0.2
  • RMI/IIOP 1.0
  • JMX 1.0

Powerful

  • New JINI-based cluster management for web connector and component-based load balancing and fail over
  • Leading edge support for web services including SOAP 1.1, automatic WSDL generation, UDDI 1.0 and JAX-RPC
  • Interoperability to Macromedia Flash MX for connectivity to rich application user interfaces
  • New pluggable service based architecture for greater flexibility and customization

Productive

  • New drag and drop deployment and dynamic class loading
  • XDoclet integration provides streamlined Servlet and EJB development
  • Improved JMX-based administration and management simplifies common tasks
  • New integrated online help
 

Downloads